﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace MobileFunction
{
    public sealed class LogWriter
    {
        public static void WriteLog(string LogInfo)
        {
            string appPath = Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase);
            appPath = Path.Combine(appPath, "Log");
            if (!Directory.Exists(appPath))
            {//如果没有该文件夹创建
                Directory.CreateDirectory(appPath);
            }
            appPath = Path.Combine(appPath, "log.txt");
            StreamWriter sw = new StreamWriter(appPath, true, Encoding.UTF8);
            sw.WriteLine("#########################################################################");
            sw.WriteLine(LogInfo);
            sw.Close();
        }
    }
}
